CREATE TABLE TEMP_D_CONTENT                 AS SELECT * FROM D_CONTENT                 WHERE 1 = 0;
CREATE TABLE TEMP_D_PROGRAM                 AS SELECT * FROM D_PROGRAM                 WHERE 1 = 0;
CREATE TABLE TEMP_D_PROGRAM_SCHEDULE        AS SELECT * FROM D_PROGRAM_SCHEDULE        WHERE 1 = 0;
CREATE TABLE TEMP_D_TELOP                   AS SELECT * FROM D_TELOP                   WHERE 1 = 0;
CREATE TABLE TEMP_D_TELOP_SCHEDULE          AS SELECT * FROM D_TELOP_SCHEDULE          WHERE 1 = 0;
CREATE TABLE TEMP_M_CLIENT                  AS SELECT * FROM M_CLIENT                  WHERE 1 = 0;
CREATE TABLE TEMP_M_GROUP                   AS SELECT * FROM M_GROUP                   WHERE 1 = 0;
CREATE TABLE TEMP_M_USER                    AS SELECT * FROM M_USER                    WHERE 1 = 0;
CREATE TABLE TEMP_M_VIEWER                  AS SELECT * FROM M_VIEWER                  WHERE 1 = 0;
CREATE TABLE TEMP_L_PROGRAM_SCHEDULE_VIEWER AS SELECT * FROM L_PROGRAM_SCHEDULE_VIEWER WHERE 1 = 0;
CREATE TABLE TEMP_L_TELOP_SCHEDULE_VIEWER   AS SELECT * FROM L_TELOP_SCHEDULE_VIEWER   WHERE 1 = 0;


CREATE SEQUENCE sequence_content_id          INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_program_id          INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_user_id             INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_client_group_id     INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_client_id           INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_group_id            INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_viewer_id           INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_program_schedule_id INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_telop_id            INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_telop_schedule_id   INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;
CREATE SEQUENCE sequence_playlog_id          INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000000000000 CYCLE;


CREATE OR REPLACE VIEW V_NORMAL_PROGRAM AS
SELECT * FROM D_PROGRAM
 WHERE interrupt_flag = 0
  AND  emergency_flag = 0
  AND  stop_flag = 0;

CREATE OR REPLACE VIEW V_INTERRUPT_PROGRAM AS
SELECT * FROM D_PROGRAM
 WHERE interrupt_flag = 1;

CREATE OR REPLACE VIEW V_EMERGENCY_PROGRAM AS
SELECT * FROM D_PROGRAM
 WHERE emergency_flag = 1;

CREATE OR REPLACE VIEW V_STOP_PROGRAM AS
SELECT * FROM D_PROGRAM
 WHERE stop_flag = 1;

CREATE OR REPLACE VIEW V_INTERRUPT_STOP_PROGRAM AS
SELECT * FROM D_PROGRAM
 WHERE (interrupt_flag = 1
   OR  stop_flag = 1);

CREATE OR REPLACE VIEW V_NORMAL_TELOP AS
SELECT * FROM D_TELOP
 WHERE interrupt_flag = 0;

CREATE OR REPLACE VIEW V_INTERRUPT_TELOP AS
SELECT * FROM D_TELOP
 WHERE interrupt_flag = 1;

CREATE OR REPLACE VIEW V_NORMAL_PROGRAM_SCHEDULE AS
SELECT * FROM D_PROGRAM_SCHEDULE
 WHERE priority IN (4, 6, 7);

CREATE OR REPLACE VIEW V_INTERRUPT_PROGRAM_SCHEDULE AS
SELECT * FROM D_PROGRAM_SCHEDULE
 WHERE priority IN (3, 5);

CREATE OR REPLACE VIEW V_EMERGENCY_PROGRAM_SCHEDULE AS
SELECT * FROM D_PROGRAM_SCHEDULE
 WHERE priority IN (2);

CREATE OR REPLACE VIEW V_STOP_PROGRAM_SCHEDULE AS
SELECT * FROM D_PROGRAM_SCHEDULE
 WHERE priority IN (1);

CREATE OR REPLACE VIEW V_INTERRUPT_STOP_PROGRAM_SCHEDULE AS
SELECT * FROM D_PROGRAM_SCHEDULE
 WHERE priority IN (1, 3, 5);

CREATE OR REPLACE VIEW V_NORMAL_TELOP_SCHEDULE AS
SELECT * FROM D_TELOP_SCHEDULE
 WHERE priority IN (4, 6, 7);

CREATE OR REPLACE VIEW V_INTERRUPT_TELOP_SCHEDULE AS
SELECT * FROM D_TELOP_SCHEDULE
 WHERE priority IN (3, 5);

CREATE OR REPLACE VIEW V_EMERGENCY_TELOP_SCHEDULE AS
SELECT * FROM D_TELOP_SCHEDULE
 WHERE priority IN (2);

CREATE OR REPLACE VIEW V_GROUP AS 
 SELECT *
   FROM M_GROUP
  WHERE delete_flag = 0;

CREATE OR REPLACE VIEW V_VIEWER AS 
 SELECT *
   FROM M_VIEWER
  WHERE delete_flag = 0;

